import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { Case } from '../../core/case';

export class CaseListDataSource extends DataSource<Case> {
  constructor(public data: Case[]) {
    super();
  }

  connect(): Observable<Case[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
